ContentLengthAwareCommonsMultipartResolver (Grails 6.0.0)

Package: org.grails.web.multipart

## [Java] Class ContentLengthAwareCommonsMultipartResolver

- org.grails.web.multipart.ContentLengthAwareCommonsMultipartResolver

-     public class ContentLengthAwareCommonsMultipartResolver
      extends org.springframework.web.multipart.commons.CommonsMultipartResolver

  Safari includes the multipart packet inside an HTTP redirect without the Content-Length header. This causes CommonsMultipartResolver to blow up. We extend it here to catch this exception, printing a warning.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.springframework.util.LinkedMultiValueMap<java.lang.String, org.springframework.web.multipart.MultipartFile>` | `EMPTY_MULTI_VALUE_MAP` |
    `private static org.apache.commons.logging.Log` | `LOG` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MultipartParsingResult` | `parseRequest(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.multipart.commons.CommonsMultipartResolver` | `org.springframework.web.multipart.commons.CommonsMultipartResolver#cleanupMultipart(org.springframework.web.multipart.MultipartHttpServletRequest), org.springframework.web.multipart.commons.CommonsMultipartResolver#isMultipart(javax.servlet.http.HttpServletRequest), org.springframework.web.multipart.commons.CommonsMultipartResolver#resolveMultipart(javax.servlet.http.HttpServletRequest), org.springframework.web.multipart.commons.CommonsMultipartResolver#setResolveLazily(boolean), org.springframework.web.multipart.commons.CommonsMultipartResolver#setSupportedMethods([Ljava.lang.String;), org.springframework.web.multipart.commons.CommonsMultipartResolver#setServletContext(javax.servlet.ServletContext), org.springframework.web.multipart.commons.CommonsMultipartResolver#getFileItemFactory(), org.springframework.web.multipart.commons.CommonsMultipartResolver#getFileUpload(), org.springframework.web.multipart.commons.CommonsMultipartResolver#setMaxUploadSize(long), org.springframework.web.multipart.commons.CommonsMultipartResolver#setMaxUploadSizePerFile(long), org.springframework.web.multipart.commons.CommonsMultipartResolver#setMaxInMemorySize(int), org.springframework.web.multipart.commons.CommonsMultipartResolver#setUploadTempDir(org.springframework.core.io.Resource), org.springframework.web.multipart.commons.CommonsMultipartResolver#setPreserveFilename(boolean), org.springframework.web.multipart.commons.CommonsMultipartResolver#setDefaultEncoding(java.lang.String), org.springframework.web.multipart.commons.CommonsMultipartResolver#wait(long), org.springframework.web.multipart.commons.CommonsMultipartResolver#wait(long, int), org.springframework.web.multipart.commons.CommonsMultipartResolver#wait(), org.springframework.web.multipart.commons.CommonsMultipartResolver#equals(java.lang.Object), org.springframework.web.multipart.commons.CommonsMultipartResolver#toString(), org.springframework.web.multipart.commons.CommonsMultipartResolver#hashCode(), org.springframework.web.multipart.commons.CommonsMultipartResolver#getClass(), org.springframework.web.multipart.commons.CommonsMultipartResolver#notify(), org.springframework.web.multipart.commons.CommonsMultipartResolver#notifyAll()`

- - ### Field Detail

    - #### private static final org.springframework.util.LinkedMultiValueMap<java.lang.String, org.springframework.web.multipart.MultipartFile> EMPTY_MULTI_VALUE_MAP

    - #### private static final org.apache.commons.logging.Log LOG

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("deprecation") @java.lang.Override protected MultipartParsingResult parseRequest(javax.servlet.http.HttpServletRequest request)